Bug 68404 - make crashes when performing make install for mplayer application.
Summary: make crashes when performing make install for mplayer application.
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-09 22:36 UTC by Andrew Plata
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-09 22:36:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Plata 2002-07-09 22:36:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
performing make install command in the MPlayer-0.90pre5 directory after
unpacking MPlayer-0.90pre5.tar.bz2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cd MPlayer-0.90pre5
2. make install

	

Actual Results:  make -C mplayer
make[2]: Entering directory `/tmp/MPlayer-0.90pre5/Gui/mplayer'
gcc3 -c -O4 -march=i686 -mcpu=i686 -pipe -ffast-math -fomit-frame-pointer
-D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fomit-frame-pointer
-fexpensive-optimizations -fschedule-insns2 -Wall -malign-double -I. -I../event
-I../wm -I../skin -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2
-I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gtk-1.2
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DDEBUG -o
mplayer.o mplayer.c
In file included from mplayer.c:34:
mw.h: In function `mplMainDraw':
mw.h:209: Internal compiler error in print_rtl_and_abort, at flow.c:6458
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [mplayer.o] Error 1
make[2]: Leaving directory `/tmp/MPlayer-0.90pre5/Gui/mplayer'
make[1]: *** [libgui.a] Error 2
make[1]: Leaving directory `/tmp/MPlayer-0.90pre5/Gui'
make: *** [Gui/libgui.a] Error 2

Expected Results:  Should have created the /usr/local/share/mplayer/Skin
directory so that I could place my skins for the mplayer program.



Additional info:

make -C mplayer
make[2]: Entering directory `/tmp/MPlayer-0.90pre5/Gui/mplayer'
gcc3 -c -O4 -march=i686 -mcpu=i686 -pipe -ffast-math -fomit-frame-pointer
-D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fomit-frame-pointer
-fexpensive-optimizations -fschedule-insns2 -Wall -malign-double -I. -I../event
-I../wm -I../skin -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2
-I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gtk-1.2
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DDEBUG -o
mplayer.o mplayer.c
In file included from mplayer.c:34:
mw.h: In function `mplMainDraw':
mw.h:209: Internal compiler error in print_rtl_and_abort, at flow.c:6458
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [mplayer.o] Error 1
make[2]: Leaving directory `/tmp/MPlayer-0.90pre5/Gui/mplayer'
make[1]: *** [libgui.a] Error 2
make[1]: Leaving directory `/tmp/MPlayer-0.90pre5/Gui'
make: *** [Gui/libgui.a] Error 2

Comment 1 Jakub Jelinek 2002-07-10 09:38:11 UTC
It is not make that crashes, but gcc.
But as gcc 3.0.x was included as technology preview only in 7.2, unless you
are able to reproduce this with gcc-3.1 (see e.g. ftp://people.redhat.com/jakub/gcc3/
or RHN GCC 3.1 channel), this won't be fixed.
Please reopen if you can reproduce with gcc 3.1 (and attach preprocessed
testcase in that case).


Note You need to log in before you can comment on or make changes to this bug.